/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import junit.framework.TestCase;
import org.springframework.beans.factory.support.AbstractBeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

/**
 *
 * @author velrajan
 */
public class MainTest extends TestCase {
    
    public MainTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }

    /**
     * Test of main method, of class Main.
     */
    public void testMain() {
        AbstractBeanFactory fac = new XmlBeanFactory(new ClassPathResource("sayHello.xml"));
        SayHello h = (SayHello) fac.getBean("sayHello");
        h.sayHello();
    }

}
